/**
 * 这是所有模块公用业务逻辑的服务
 */
export default class PublicService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'PublicService'
	}
	/**
	 * 获取图形验证码
	 * platformType:小程序 2  WWW 0  CRM 1 
	 */
	GetImgVerifyCode (data = {platformType:2}) {
		return this.AjaxService.get({ url:'/user/getImgVerifyCode', data, isLoading: true })
	}
	/**
	 * 获取图形验证码
	 * activateCodeType:机构 2  供应商 3 找回密码 1 
	 */
	GetMobileCode (data = {}) {
		return this.AjaxService.get({ url:'/user/activateCodeByReg', data, isLoading: true })
	}
}
